#rh-5.0rh-15
%define date	20010813
%define release 17mdk
%{expand:%%define mdkversion %(A=$(awk '{print $4}' /etc/mandrake-release); if [ -n "$A" ];then echo $A;else echo Cooker;fi)}

Summary:	A GNU source-level debugger for C, C++ and Fortran
Name:		gdb
Version:	5.0
Release:	%{release}
License:	GPL
Group:		Development/Other
BuildRequires:	gpm-devel ncurses-devel texinfo
URL:		http://sourceware.cygnus.com/gdb/5/

Source:		gdb+dejagnu-%date.tar.bz2
Source1:	%name-16.xpm
Source2:	%name-32.xpm
Source3:	%name-48.xpm
# Dadou - 5.0-14mdk - Source0 is a totally broken cvs snapshot on PPC
Source4:	gdb-5.0.tar.bz2

Patch0:		gdb-alpha.patch.bz2

Buildroot:	%_tmppath/%name-%version-root
PreReq:		/sbin/install-info
BuildRequires:	ncurses-devel

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time.  Gdb works for C and C++ compiled with the GNU C compiler
gcc.

If you are going to develop C and/or C++ programs and use the GNU gcc
compiler, you may want to install gdb to help you debug your
programs.

%prep

%ifnarch ppc
%setup -q -n gdb+dejagnu-%date
%else
%setup -q -T -b4
%endif

perl -pi -e "s/^VERSION.*$/VERSION=5\.0mdk-%{release} Mandrake Linux %{mdkversion}/" gdb/Makefile.in

%build
%ifnarch ppc
rm -fr dejagnu tcl expect
%endif

CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
                    --sysconfdir=%_sysconfdir \
		    --mandir=%_mandir \
		    --infodir=%_infodir \
		    --host=%_arch-mandrake-linux

%make

make info
cp gdb/NEWS .

%install
%makeinstall infodir=%_buildroot/%_infodir prefix=%buildroot/%_prefix

# The above is broken, do this for now:
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
cp `find -name "*.info*"` $RPM_BUILD_ROOT/%{_infodir}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir $RPM_BUILD_ROOT%{_infodir}/dir.info* 

rm -f %buildroot/%_bindir/{texindex,texi2dvi,makeinfo,install-info,info}

#These are part of binutils
rm -f %buildroot/%_infodir/{bfd,standard,readline,history,info,texinfo}*
rm -fr %buildroot/%_includedir
rm -fr %buildroot/%_libdir/lib{bfd*,opcodes*}

install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name):\
 needs="text"\
 section="Applications/Development/Tools"\
 title="Gdb"\
 longtitle="The GNU debugger"\
 command="gdb"\
 icon=%name.xpm
EOF

install -d %buildroot/%_iconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_miconsdir
install -m644 %SOURCE1 %buildroot/%_miconsdir/%name.xpm
install -m644 %SOURCE2 %buildroot/%_iconsdir/%name.xpm
install -m644 %SOURCE3 %buildroot/%_liconsdir/%name.xpm

%clean
rm -fr %buildroot

%post
%{update_menus}
%{_install_info gdb.info}
%{_install_info gdbint.info}
%{_install_info mmalloc.info}
%{_install_info stabs.info}

%preun
if [ $1 = 0 ]; then
%{_remove_install_info gdb.info}
%{_remove_install_info gdbint.info}
%{_remove_install_info mmalloc.info}
%{_remove_install_info stabs.info}
fi

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB README NEWS
/usr/bin/*
%{_mandir}/*/*
%{_infodir}/gdb.info*
%{_infodir}/gdbint.info*
%{_infodir}/stabs.info*
%{_infodir}/mmalloc.info*
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Fri Sep 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-17mdk
- Rebuild.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-16mdk
- s|Linux-Mandrake|Mandrake Linux|;
- 20010813 snapshot.

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-15mdk
- 20010625 snapshot.
- Adjust BuildRequires:

* Fri Jun 15 2001 David BAUDENS <baudens@mandrakesoft.com> 5.0-14mdk
- Use real gdb-5.0 on PPC (or it will segfault every time)

* Sat May 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-13mdk
- Fix info.
- 20010501 snapshot.

* Mon May 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-12mdk
- Merge with latest snapshot of rh.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-11mdk
- New snapshot rh merge.

* Wed Feb 07 2001 Francis Galiegue <fg@mandrakesoft.com> 5.0-10mdk
- Yep, now compiles on ia64

* Tue Feb  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-9mdk
- Using snapshot 20010119. (should work on ia64 btw).

* Mon Feb 05 2001 Francis Galiegue <fg@mandrakesoft.com> 5.0-8mdk
- ExcludeArch: ia64 - probably 5.1 will integrate it but right now it's not

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 5.0-7mdk
- Fix a stupid typo in Requires

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 5.0-6mdk
- Fix build on PPC
- Spec clean up

* Mon Jan 15 2001 David BAUDENS <baudens@mandrakesoft.com> 5.0-5mdk
- BuildRequires: texinfo

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.0-4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-3mdk
- BM

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-2mdk
- merge in rh patches
- add doc files
- added the NEWS file to the %doc files
- don't delete libmmalloc & add it (required by docs in gdb' info pages) :
  we're the only distro to be compliant with this!
- use new macros

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-1mdk
- new release
- fix source0
- add URL
- make sparc patch only applied when building a sparc rpm (sprc-bldr scks)

* Sat Apr 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.18-14mdk
- Set VERSION to version rpm not to cvs date.
- Fix menu post/postun.
- Add all size of icons.

* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.18-13mdk
- Add menu and icon.
- Clean-up specs.
- Adjust groups.
- Back to snapshots 19991004 for glibc-2.1.3.

* Mon Nov 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Using cvs snapshot, merging.
- merging with redhat patchs.

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- thread safe release
